package com.cusc.adas.v2x.dto;

import com.cusc.adas.v2x.utils.DependencyDef;
import com.cusc.adas.v2x.utils.DynamicsClassDef;
import com.cusc.adas.v2x.utils.FieldDef;
import com.cusc.adas.v2x.utils.OffsetDef;
import com.cusc.adas.v2x.utils.Order;

//云端决策建议信息数据结构
public class VehAdviceDto<T>  {
    //车辆编号
    private String vehicleId;

    //消息标识
    private long seq;

    //建议类型
    private short adviceType;
    //    事件分类
    private short eventType;
    //    车速建议
    private float spdExp;

    //    加速度建议
    private int accExp;

    //    控车变道建 议转向状态
    private short instructDirection;

    //    命令长度
    private int dataLen;
    //

    @DynamicsClassDef(classtype="CloudDecision")
    @DependencyDef(value="adviceType")
    private T adviceData;

}
